# Software

Cosmopool software is still in development and not yet released. It will provide a webapplication for sharing your knowledge with others. It has these goals:

  * decentralized architecture (server-related communties)
  * privacy (fully only beyond the own server community)
  * sharing of structured data with fine-grained access control (incl. user-defined groups)
  * user-defined data structures (with emphasis on support for serial processing)
  * emergence of commonly accepted data strutures through peer review
  * usable with a common webbrowser, also on devices with small screens
  * automatic searches and notification about hits
  * simple messaging between users
  * no rating system, but detailed comments (what can be read can also be commented)

The first production release will only support a single server and will come with a client not supporting smartphones. Find out more about its [features](https://www.cosmopool.net/wiki/index.php/Features) and participate in [development](https://www.cosmopool.net/wiki).

In the meanwhile, if you need to organized your knowledge without sharing it, you can try [webProtege](http://wp-obs.stanford.edu/).

The main motivation behind sharing of knowledge is to create an economy of sharing, a [pool economy](../sharing/pool.md); thus the focus on serial knowledge.

